# Copyright (c) 2007-2008 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

Summary:		GMyth is a library to access MythTV backend services
Name:			gmyth
Group:			System/Libraries
URL:			http://gmyth.sf.net
Version:		0.7.1
Release:		1.4
License:		LGPL
# http://prdownloads.sourceforge.net/gmyth/gmyth-%{version}.tar.gz
Source:         gmyth-%{version}.tar.bz2
Source1:		COPYING.LGPL
Patch1:         gmyth-fix_link_order.patch
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	curl-devel
BuildRequires:	glib2-devel
BuildRequires:	libxml2-devel
BuildRequires:	mysql-devel

%description
GMyth is a library to access MythTV backend services. It is
intended to speedup the development of a Mythtv Frontend,
providing a high level API enabling applications to retrieve
data such as:
* EPG: Retrieve channels and programs data with filtering
  capabilities. Retrieve channels icon;
* Scheduling: List, add, change and remove recording schedules;
* Recorded programs: List, remove, download and stream recorded
  programs;
* Live TV: Control the backend remote recorder, switch channels
and access Live TV content. 

GMyth provides remote access and needs few dependencies. It is
built in the top of Glib/GObject APIs and calls the libmysqlclient
to access the Mythtv backend database. It comes with two command
line sample applications:
* gmyth-ls: Lists the recorded programs or the available livetv channels
* gmyth-cat: Similar to the linux cat command. Reads a recorded program
  or a livetv channel and ouputs its data to the standard output. 

%package -n libgmyth0
Summary:	Shared library for MythTV remote access
Group:		System/Libraries

%description -n libgmyth0
Shared library for MythTV remote access.

%package -n libgmyth-devel
Summary:	Development libraries for MythTV remote access
Group:		Development/Libraries/C and C++
Requires:	gmyth = %{version}-%{release}
Requires:	curl-devel
Requires:	glib2-devel
Requires:	libgmyth0 = %{version}
Requires:	mysql-devel
Requires:	pkgconfig

%description -n libgmyth-devel
gmyth-devel contains development libraries and headers for
the GMyth library.


%prep
%setup -q
%patch1
# Upstream used the default license from the autotools, all the
# files and the project page says LGPL, see:
# http://sourceforge.net/tracker/index.php?func=detail&aid=1790620&group_id=177106&atid=879914
%__cp -a %{SOURCE1} .

%build
%configure
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall

%__rm %{buildroot}/%{_libdir}/*.la

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf %{buildroot}

%post -n libgmyth0 -p /sbin/ldconfig

%postun -n libgmyth0 -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING.LGPL
%{_bindir}/gmyth-cat
%{_bindir}/gmyth-ls

%files -n libgmyth0
%defattr(-,root,root)
%{_libdir}/libgmyth.so.0
%{_libdir}/libgmyth.so.0.*

%files -n libgmyth-devel
%defattr(-,root,root)
%dir %{_includedir}/gmyth
%{_includedir}/gmyth/*
%{_libdir}/libgmyth.a
%{_libdir}/libgmyth.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Mon Mar 03 2008 Toni Graffy <toni@links2linux.de> - 0.7.1-0.pm.1
- update to 0.7.1
* Fri Feb 08 2008 Toni Graffy <toni@links2linux.de> - 0.7-0.pm.1
- update to 0.7
* Thu Nov 08 2007 Toni Graffy <toni@links2linux.de> - 0.4-0.pm.1
- initial build 0.4
